www.cendio.com
Bug 5175 - HTML5 link "Download server certificate" should be visible in Chrome on iOS
: HTML5 link "Download server certificate" should be visible in Chrome on iOS
Status: CLOSED FIXED
: ThinLinc
Web Access
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-06-02 08:43 by
Modified: 2014-10-15 11:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-06-02 08:43:27
It seems like the Chrome browser on iOS uses the iOS subsystems for cert
management. With self signed certs etc, one needs to use the link "Download
server certificate". However, this links is now only visible within Safari. It
should be visible in Chrome as well, when running on iOS.
------- Comment #1 From cendio 2014-06-02 14:13:58 -------
Chrome on iPad refused to download the certificate with "error 102". People
online claim that iOS doesn't support opening files in external viewers with
other browsers than Safari, but I'm not sure how accurate these comments are.
------- Comment #2 From cendio 2014-06-02 16:12:26 -------
This is considered a bug by Chrome:
https://code.google.com/p/chromium/issues/detail?id=244694

Good enough for us, we should show the link in Chrome on iOS.
------- Comment #3 From cendio 2014-06-02 16:23:32 -------
Fixed in revision 29038.
------- Comment #4 From cendio 2014-10-09 14:20:12 -------
(In reply to comment #2)
> This is considered a bug by Chrome:
> https://code.google.com/p/chromium/issues/detail?id=244694
> 
> Good enough for us, we should show the link in Chrome on iOS.

Why show a link if it doesn't work ?

The upstream bug linked was fixed yesterday.

As that bug 244694 is for chromium how long does
it take to be included in chrome ?
------- Comment #5 From cendio 2014-10-09 15:19:42 -------
HTML5 client does not work in Chrome on iOS (bug 5136). It's fine as it is.
------- Comment #6 From cendio 2014-10-13 11:33:47 -------
We need to handle this correctly:

The bug implies it should fix the installation of a certificate in chrome,
however this doesn't work see bug 5136.

Proposal to solution for this bug is to revert the changes made, update
documentation with information that chrome on iOS only works with trusted root
certificates.
------- Comment #7 From cendio 2014-10-13 14:02:37 -------
(In reply to comment #6)
> We need to handle this correctly:
> 
> The bug implies it should fix the installation of a certificate in chrome,
> however this doesn't work see bug 5136.
> 
> Proposal to solution for this bug is to revert the changes made, update
> documentation with information that chrome on iOS only works with trusted root
> certificates.

Documentation was updated in r29495.

After internal discussions we decided that the changes in 29038 will not be
reverted, i.e. the link will be shown on iOS no matter which browser is being
used.
------- Comment #8 From cendio 2014-10-14 11:02:42 -------
(In reply to comment #7)
> (In reply to comment #6)
> > We need to handle this correctly:
> > 
> > The bug implies it should fix the installation of a certificate in chrome,
> > however this doesn't work see bug 5136.
> > 
> > Proposal to solution for this bug is to revert the changes made, update
> > documentation with information that chrome on iOS only works with trusted root
> > certificates.
> 
> Documentation was updated in r29495.
> 
> After internal discussions we decided that the changes in 29038 will not be
> reverted, i.e. the link will be shown on iOS no matter which browser is being
> used.

The generated pdf looks strange, you should probably add the para in it's own
<note/> than reusing the same as the other note..
------- Comment #9 From cendio 2014-10-14 11:26:22 -------
(In reply to comment #8)
> The generated pdf looks strange, you should probably add the para in it's own
> <note/> than reusing the same as the other note..

r29499
------- Comment #10 From cendio 2014-10-15 11:24:15 -------
PDF looks good, closing.